Subject: bug#34176: X200 kernel panic on S3 resume (linux-libre > 4.18.9)

From: Christopher Lemmer Webber <[email-masked]>
Date: Mon, 28 Jan 2019 04:53:40 -0500

Mike Gerwitz writes:

> On Wed, Jan 23, 2019 at 01:08:39 -0500, Mike Gerwitz wrote:
>> Right after sending this message, I recalled that I used powertop to do
>> "auto tuning".  Sure enough, one of the lines was this:
>>
>>    Good          Autosuspend for USB device UHCI Host Controller [usb6]
>>
>> By disabling it, it runs this command:
>>
>>   echo on > /sys/bus/usb/devices/usb6/power/control
>>
>> And it resolves my suspend issues on 4.20.3-gnu.
>
> [...]
>
>> This bug can be closed.
>
> Sorry, I take that back.  I could have sworn it did resolve the issue,
> but that does not seem to be the case.
>
> This seems unrelated to powertop; `auto' seems to be the default setting
> of /sys/bus/usb/devices/*/power/control, which is reset on reboot.  In
> any case, setting it to `on' does not solve my suspend issue.
>
> It's not a hardware issue, because earlier kernel versions work just
> fine.
>
> I tried debugging this further, but even on a minimal Guix system, I
> cannot seem to work around the problem.
>
> Any advice, anyone?

Recently I had to switch back to my x200 and found that it wouldn't
suspend anymore, and I wasn't sure why.  Then I somehow screwed up my
system and had to do a reinstall of guix and suspend worked again.  I
wasn't sure why... now I seem to have the answer.  When I reinstalled, I
must not have done so from the latest guix versions.

cwebber@jasmine:~$ uname -a
Linux jasmine 4.17.3-gnu #1 SMP 1 x86_64 GNU/Linux

So I guess if I did a system upgrade, I would have the problem again :)

Note that I am running this x200 with a (somewhat out of date) Libreboot
install.